%global pypi_name tox-current-env
%global pypi_under tox_current_env

Summary:        Tox plugin to run tests in current Python environment
Name:           python-%{pypi_name}
Version:        0.0.11
Release:        1%{?dist}
License:        MIT
URL:            https://github.com/fedora-python/tox-current-env

Source0:        %{pypi_source}

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  pyproject-rpm-macros

BuildArch:      noarch

%description
The tox-current-env plugin allows to run tests in current Python environment.


%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        Tox plugin to run tests in current Python environment
Provides:       python-tox-current-env = %{version}-%{release}
Provides:       python%{python3_version}-tox-current-env = %{version}-%{release}

%description -n python%{python3_pkgversion}-%{pypi_name}
The tox-current-env plugin allows to run tests in current Python environment.


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_under}

%check

%files -n python%{python3_pkgversion}-%{pypi_name} -f %{pyproject_files}
%doc README.rst

%changelog
* Thu Feb 01 2024 Upgrade Robot <upbot@opencloudos.org> - 0.0.11-1
- Upgrade to version 0.0.11 for tox 4.10.0 which needed by python-setuptools_scm 8.0.4.

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.0.8-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.0.8-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.0.8-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.0.8-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Oct 26 2022 Shuo Wang <abushwang@tencent.com> - 0.0.8-1
- initial build

